#!/bin/sh
# 21/7/2025 by jokel

win="Switch"

# Definition der unterstützten Modi
hz30="2160p30"
hz50="2160p50"
hz60="1080i60"
hz50p="1080p50"

# Aktuellen Videomodus auslesen
vmode=$(cat /proc/stb/video/videomode)

# Auswahl basierend auf aktuellem Modus
if [[ "$vmode" == "$hz30" || "$vmode" == "$hz50" ]]; then
    sel1="30Hz"
    mode1="$hz30"
    mode2="$hz50"
elif [[ "$vmode" == "$hz60" || "$vmode" == "$hz50p" ]]; then
    sel1="60Hz"
    mode1="$hz60"
    mode2="$hz50p"
else
    msgbox size=22 title="$win" \
           popup="~c Videomodus wird nicht unterstützt." \
           timeout=5
    exit 1
fi

# Auswahlmenü anzeigen
win="Switch  -  $sel1/50Hz"
msgbox size=24 title="$win" \
       select="$sel1","50Hz" default=2 cyclic=0 order=2 \
       msg="~c~GV.MODE  jetzt : ~Y $vmode" \
       refresh=1

# Auswahl verarbeiten
case "$?" in
    0) exit 1 ;;           # Abbrechen
    1) vmode="$mode1" ;;   # Auswahl 1
    2) vmode="$mode2" ;;   # Auswahl 2
esac

# Neuen Videomodus setzen
echo -n "$vmode" > /proc/stb/video/videomode

exit 0

